Subject: Re: bad TSO performance in 2.6.9-rc2-BK

From: Nivedita Singhvi <[email-masked]>
Date: Wed, 29 Sep 2004 14:10:24 -0700

John Heffner wrote:

> On Wed, 29 Sep 2004, Andi Kleen wrote:
> 
> 
>>I tried to re-test it but I didn't get very far because the kernel
>>with your patch crashes regularly during netperf. No serial console,
>>but the backtrace is {tcp_ack+877} {tcp_rcv_established+350} ...
>>Before that there are a few "retrans out leaked" messages.
> 
> 
> I just tried to re-create this situation, and I got the same problem.
> Latest bk tree with dave's 5 patches, gcc 3.3.4, uni-processor p4/e1000 to
> a slow-ish p3/sk98lin (dual-cpu but with maxcpus=1).

I just crashed too, no backtrace. netperf tcp stream test,
and was on bk14 + dave's 5 patches, p4/e1000 -> Intel Pentium
M proc (1.7GHz). Going to repeat on slower SMPs with serial
console, get more info..

thanks,
Nivedita